RagTimeSpreadsheetInternal::DateTime Struct Reference

Internal: date/time format of a RagTimeSpreadsheet. More...

## Public Member Functions

| DateTime ()
| constructor

## Public Attributes

bool | m_isDate
| true if this is a date field
std::string | m_DTFormat
| the date time format

## Friends

std::ostream & | operator<< (std::ostream &o, DateTime const &dt)
| operator<<

## Detailed Description

Internal: date/time format of a RagTimeSpreadsheet.

## Constructor & Destructor Documentation

## DateTime()

RagTimeSpreadsheetInternal::DateTime::DateTime | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | DateTime const & | dt )

friend

operator<<

## Member Data Documentation

## m_DTFormat

std::string RagTimeSpreadsheetInternal::DateTime::m_DTFormat

the date time format

Referenced by DateTime(), operator<<, and RagTimeSpreadsheet::readNumericFormat().

## m_isDate

bool RagTimeSpreadsheetInternal::DateTime::m_isDate

true if this is a date field

Referenced by DateTime(), operator<<, and RagTimeSpreadsheet::readNumericFormat().

The documentation for this struct was generated from the following file:

- RagTimeSpreadsheet.cxx